@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800&display=swap');

:root {
    --primary: #5D92B1;
}    

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Helvetica', 'Arial', sans-serif;
}

html,
body {
  display: grid;
  height: 100%;
  width: 100%;
  place-items: center;
  background: #f2f2f2;
}

::selection {
    background: #4b89dc;
    color: #fff;
}

.wrapper {
    width: 380px;
    background: #fff;
    border-radius: 0;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.07);
}

.wrapper .title {
  font-size: 35px;
  font-weight: 600;
  text-align: center;
  line-height: 100px;
  color: #fff;
  user-select: none;
  border-radius: 4px 4px 0 0;
  background: linear-gradient(-135deg, var(--primary), var(--primary));
}

.wrapper form {
  padding: 10px 30px 50px 30px;
}

.wrapper form .field {
  height: 50px;
  width: 100%;
  margin-top: 20px;
  position: relative;
}

.wrapper form .field input {
  filter: none !important;

}

input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 50px white inset !important;
}

.wrapper form .field input,
.wrapper form .field select {
  height: 100%;
  width: 100%;
  outline: none;
  font-size: 16px;
  padding-left: 15px;
  padding-right: 15px;
  border: 1px solid lightgrey;
  border-radius: 2px;
  transition: all 0.3s ease;
  color: #262626;

}

.wrapper form .field input:focus,
form .field input:valid,
.wrapper form .field select:focus,
form .field select:valid {
  border-color: var(--primary); 
}

.wrapper form .field label {
  position: absolute;
  top: 50%;
  left: 20px;
  color: #262626;
  font-weight: 400;
  font-size: 16px;
  pointer-events: none;
  transform: translateY(-50%);
  transition: all 0.3s ease;
  background: #ffffff;
}

form .field input:focus~label,
form .field input:valid~label,
form .field select:focus~label,
form .field select:valid~label {
  top: 0%;
  font-size: 14px;
  color: var(--primary);
  background: #ffffff;
  transform: translateY(-50%);
}

form .content {
  display: flex;
  width: 100%;
  height: 50px;
  font-size: 16px;
  align-items: center;
  justify-content: space-between;
  margin-top: 10px;
}

form .justify-content-arround {
  justify-content: space-around !important;
}

form .content .checkbox {
  display: flex;
  align-items: center;
  justify-content: center;
}

form .content input {
  width: 15px;
  height: 15px;
  background: red;

}

form .content label {
  color: #262626;
  user-select: none;
  padding-left: 10px;
}

form .content .pass-link {
  color: '';
}

form .field input[type='submit'] {
  color: #fff;
  border: none;
  padding-left: 0;
  padding-right: 0;
  margin-top: -10px;
  font-size: 20px;
  font-weight: 500;
  cursor: pointer;
  background: linear-gradient(-135deg, var(--primary), var(--primary));
  transition: all 0.3s ease;
}

form .field input[type='submit']:active {
  transform: scale(0.95);
}

form .signup-link {
  color: #262626;
  margin-top: 20px;
  text-align: center;
}

form .pass-link a,
form .signup-link a {
  color: var(--primary);
  text-decoration: none;
}

form .pass-link a:hover,
form .signup-link a:hover {
  text-decoration: underline;
}

/* Rate form Styles start here */

.wrapper.h-rates {
  width: 100%;
  max-width: 700px;
  margin: 0 auto;
}

.wrapper.h-rates form {
  padding: 10px 30px 30px 30px;
}

.d-flex {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin: 0 -10px;
}

.col-50,
.col-100 {
  width: 100%;
  padding: 0 10px;
}

.col-100 {
  max-width: 100%;
}

.col-50 {
  max-width: 50%;
}

input[type='date']:required:invalid::-webkit-datetime-edit {
  color: transparent;
}

input[type='date']:focus::-webkit-datetime-edit {
  color: #999999 !important;
}

input[type='date']::-webkit-inner-spin-button,
input[type='date']::-webkit-outer-spin-button {
  -webkit-appearance: none;
}

input[type='date']::-webkit-inner-spin-button,
input[type='date']::-webkit-calendar-picker-indicator {
  opacity: 0;
  -webkit-appearance: none;
}

input {
  -moz-box-shadow: none !important;

  -webkit-box-shadow: none !important;

  box-shadow: none !important;
}

input.field-date {
  background: transparent;
  background-image: url('../images/icon-dates.png');
  background-repeat: no-repeat;
  background-size: 18px;
  background-position: calc(100% - 20px) 13px;
}

select.field-select {
  background: transparent;
  background-image: url('../images/icon-select-arrow.png');
  background-repeat: no-repeat;
  background-size: 14px;
  background-position: calc(100% - 20px) 16px;
}

.wrapper.h-rates form .field input[type='submit'] {
  max-width: 230px;
  margin: 0 auto;
  display: block;
}

select {
  -moz-appearance: none;
  -webkit-appearance: none;
}

select::-ms-expand {
  display: none;
}

/*Checkbox styles*/
input[type='checkbox'].css-checkbox {
  position: absolute;
  z-index: -1000;
  left: -1000px;
  overflow: hidden;
  clip: rect(0 0 0 0);
  height: 1px;
  width: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
}

input[type='checkbox'].css-checkbox+label.css-label {
  padding-left: 30px;
  height: 20px;
  display: inline-block;
  line-height: 20px;
  background-repeat: no-repeat;
  background-position: 0 0;
  vertical-align: middle;
  cursor: pointer;
}

input[type='checkbox'].css-checkbox:checked+label.css-label {
  background-position: 0 -20px;
}

label.css-label {
  background-image: url('../images/icon-check.png');
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/*end*/


@media (max-width: 767.98px) {
  html,
  body {
    display: table;
  }

  .wrapper.login-block {
    margin: 0 auto;
    width: 100%;
    max-width: 100%;
    height: 100%;
    min-height: 100vh;
  }
}

@media (max-width: 499.98px) {
  .m-100 {
    max-width: 100%;
  }
}

.container-fluid-home .row.sub-agent .col-xl-3 {
    flex: 0 0 33.33%;
    max-width: 33.33%;
}
